<template>
    <table class="table">
        <thead>
        <tr>
            <th v-for="key in columns">
                <abbr :title="key">{{key | subLongText}}</abbr>
            </th>
        </tr>
        </thead>
        <tbody>
        <tr v-for="row in tableData">
            <td v-for="key in columns">
                {{row[key] | subLongText}}
            </td>
            <td>
                <span v-if="row['pivot_id'] != undefined" v-on:click="upPosition(row['id'])" class="button icon has-text-danger">
                    <i class="fas fa-level-up-alt"></i>
                </span>
                <span v-if="row['pivot_id'] != undefined" v-on:click="downPosition( row['id'])" class="button icon has-text-danger">
                <i class="fas fa-level-down-alt"></i>
                </span>
                <router-link v-if="row['pivot_id'] == undefined" class="button icon has-text-info" :to="model +'/'+ row['id']">
                    <i class="fas fa-edit"></i>
                </router-link>
                <span v-if="row['pivot_id'] == undefined" v-on:click="deleteRow(row['id'])" class="button icon has-text-danger">
                    <i class="fas fa-trash-alt"></i>
                </span>
            </td>
        </tr>
        </tbody>
    </table>
</template>
<script src="./script.js"></script>